Bug 800616 - Please update rubygem-aws-sdk to 1.3.5
Please update rubygem-aws-sdk to 1.3.5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rubygem-aws-sdk (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 14:30 EST by Brett Lentz
Modified: 2012-04-11 23:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: rubygem-aws-sdk-1.3.7-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-01 18:57:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rubygem-aws-sdk git repo patch (1.35 KB, patch)
2012-03-06 14:30 EST, Brett Lentz
no flags Details | Diff
rubygem-aws-sdk git repo patch (1.95 KB, patch)
2012-03-06 15:20 EST, Brett Lentz
no flags Details | Diff

  None (edit)
Description Brett Lentz 2012-03-06 14:30:19 EST
Created attachment 568040 [details]
rubygem-aws-sdk git repo patch

Description of problem:

This package is outdated and needs to be updated. I've run into a couple of bugs related to querying multiple regions that are resolved with an update.

Attached is a patch against the fedpkg git repo. I've verified the patch works with a local mockbuild.
Comment 1 Marek Goldmann 2012-03-06 14:45:49 EST
Thanks for this bug report!

Please create the patch with 'git format-patch'. This will preserve the information about commiter and you'll get the credit once it's pushed to the repo.
Comment 2 Brett Lentz 2012-03-06 15:20:45 EST
Created attachment 568053 [details]
rubygem-aws-sdk git repo patch

Updated patch attached.
Comment 3 Russell Harrison 2012-03-14 19:22:50 EDT
(In reply to comment #2)
> Created attachment 568053 [details]
> rubygem-aws-sdk git repo patch
> 
> Updated patch attached.

The version of aws-sdk in the repos was giving me troubles but building using the patch provided on this bug resolved my issues.  An updated rpm would be much appreciated!
Comment 4 Fedora Update System 2012-03-15 13:20:39 EDT
rubygem-aws-sdk-1.3.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-aws-sdk-1.3.7-1.fc16
Comment 5 Fedora Update System 2012-03-15 13:21:53 EDT
rubygem-aws-sdk-1.3.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-aws-sdk-1.3.7-1.fc17
Comment 6 Fedora Update System 2012-03-15 22:43:23 EDT
Package rubygem-aws-sdk-1.3.7-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-aws-sdk-1.3.7-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3856/rubygem-aws-sdk-1.3.7-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-04-01 18:57:16 EDT
rubygem-aws-sdk-1.3.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-11 23:05:39 EDT
rubygem-aws-sdk-1.3.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.